package com.zbf.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 盘点库存数据对象 t_stock_check
 *
 * @author tony
 * @date 2024-10-31
 */
@TableName(resultMap = "com.zbf.system.mapper.TStockCheckMapper.TStockCheckResult")
public class TStockCheck extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 库存编号
     */

    /**
     * 盘点编号
     */
    @Excel(name = "盘点编号")
    private String checkId;

    /**
     * 仓库编号
     */
    @Excel(name = "仓库编号")
    private String storageId;

    /**
     * 库区编号
     */
    @Excel(name = "库区编号")
    private String storageAreaId;

    /**
     * 库位编号
     */
    @Excel(name = "库位编号")
    private String locationId;

    /**
     * 物料编号
     */
    @Excel(name = "物料编号")
    private String goodsId;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称 ")
    private String goodsName;

    /**
     * 占用容器
     */
    @Excel(name = "占用容器")
    private String ctl;

    /**
     * 数量
     */
    @Excel(name = "数量")
    private BigDecimal shelvesNum;

    /**
     * 版本号
     */
    @Excel(name = "版本号")
    private Long version;

    /**
     * 入库类型
     */
    @Excel(name = "入库类型")
    private String storageMode;

    /**
     * 中标供应商
     */
    @Excel(name = "中标供应商")
    private String providerId;

    /**
     * 生产日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productionDate;

    /**
     * 入库时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date wareDate;

    /**
     * 单据编号
     */
    @Excel(name = "单据编号")
    private String doctNumber;

    /**
     * 商品体积
     */
    @Excel(name = "商品体积")
    private Long goodsVolume;

    /**
     * 已占用数量
     */
    @Excel(name = "已占用数量")
    private Long occupyNum;

    /**
     * 通知单号
     */
    @Excel(name = "通知单号")
    private String noticeId;

    /**
     * 图号
     */
    @Excel(name = "图号")
    private String oriBill;

    /**
     * 条形码
     */
    @Excel(name = "条形码")
    private String barcode;

    /**
     * 宽
     */
    @Excel(name = "宽")
    private String wgh;

    /**
     * 高
     */
    @Excel(name = "高")
    private String high;

    /**
     * 状态（0：正常 1： 锁定）
     */
    @Excel(name = "状态", readConverterExp = "0=：正常,1=：,锁=定")
    private String status;

    /**
     * 招标员
     */
    @Excel(name = "招标员 ")
    private String customerId;

    /**
     * 生产批号
     */
    @Excel(name = "生产批号")
    private String batchNo;

    /**
     * 超过保质期时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "超过保质期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dueDate;

    /**
     * 检查超期呆滞时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查超期呆滞时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /**
     * 标准（超期呆滞过期天数）
     */
    @Excel(name = "标准", readConverterExp = "超=期呆滞过期天数")
    private String standard;

    /**
     * 标注超期呆滞过期
     */
    @Excel(name = "标注超期呆滞过期")
    private String flag;

    /**
     * 超过保质期天数
     */
    @Excel(name = "超过保质期天数")
    private String mark;

    /**
     * 订单数量
     */
    @Excel(name = "订单数量")
    private String orderNum;

    /**
     * 物料问题
     */
    @Excel(name = "物料问题")
    private String problem;

    /**
     * 计划单价（含税）
     */
    @Excel(name = "计划单价", readConverterExp = "含=税")
    private String price;

    /**
     * 出库数量
     */
    @Excel(name = "出库数量")
    private Long packingNum;

    /**
     * 料箱类型
     */
    @Excel(name = "料箱类型")
    private String boxType;

    /**
     * 测量单位
     */
    @Excel(name = "测量单位")
    private String scaleUnit;

    /**
     * 物料SKU
     */
    @Excel(name = "物料SKU")
    private String goodsSku;

    /**
     * 工厂ID
     */
    @Excel(name = "工厂ID")
    private String factoryId;

    /**
     * 销售订单
     */
    @Excel(name = "销售订单")
    private String salesOrderNo;

    /**
     * 子需求编号
     */
    @Excel(name = "子需求编号")
    private String salesOrderNumber;

    /**
     * 申请部门
     */
    @Excel(name = "申请部门 ")
    private String supplier;

    /**
     * 在途数量
     */
    @Excel(name = "在途数量")
    private Long onOrder;

    /**
     * 操作人
     */
    @Excel(name = "操作人")
    private String recordPerson;

    /**
     * 入库任务ID
     */
    @Excel(name = "入库任务ID")
    private String lotId;

    /**
     * 堆垛机编号
     */
    @Excel(name = "堆垛机编号")
    private String decid;

    /**
     * 单位
     */
    @Excel(name = "单位 ")
    private String unit;

    /**
     * 规格
     */
    @Excel(name = "规格")
    private String specification;

    /**
     * 库龄
     */
    @Excel(name = "库龄")
    private Long goodsAge;

    /**
     * 需求数量
     */
    @Excel(name = "需求数量")
    private BigDecimal arraMount;

    /**
     * 物料描述
     */
    @Excel(name = "物料描述")
    private String recoil;

    /**
     * 需求组织
     */
    @Excel(name = "需求组织")
    private String operatorId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date operateDate;

    /**
     * 申请单号
     */
    @Excel(name = "申请单号")
    private String purchaseId;

    /**
     * 申请人
     */
    @Excel(name = "申请人")
    private String applicant;

    /**
     * 主管部门
     */
    @Excel(name = "主管部门")
    private String respDept;

    /**
     * 计划日期
     */
    @Excel(name = "计划日期")
    private String planDate;

    /**
     * 计划时间
     */
    @Excel(name = "计划时间")
    private String planTime;

    /**
     * 需求周期
     */
    @Excel(name = "需求周期")
    private BigDecimal needCycle;

    /**
     * 需求类型
     */
    @Excel(name = "需求类型")
    private String needType;

    /**
     * 物料分类
     */
    @Excel(name = "物料分类")
    private String goodsTypeId;

    /**
     * 品牌
     */
    @Excel(name = "品牌")
    private String brand;

    /**
     * 计划金额
     */
    @Excel(name = "计划金额")
    private BigDecimal totalMoney;

    /**
     * 需求时间
     */
    @Excel(name = "需求时间")
    private String expiryDate;

    /**
     * 建议供应商名称
     */
    @Excel(name = "建议供应商名称")
    private String providerName;

    /**
     * 收货人
     */
    @Excel(name = "收货人")
    private String receiver;

    /**
     * 需求部门
     */
    @Excel(name = "需求部门")
    private String needDept;

    /**
     * 采购组织
     */
    @Excel(name = "采购组织")
    private String purchaseDept;

    /**
     * 收货组织
     */
    @Excel(name = "收货组织")
    private String produclotId;

    /**
     * 收货人部门
     */
    @Excel(name = "收货人部门")
    private String receiverDept;

    /**
     * 送货区域
     */
    @Excel(name = "送货区域")
    private String receivingArea;

    /**
     * 技术需求附件
     */
    @Excel(name = "技术需求附件")
    private String packageId;

    /**
     * 用途
     */
    @Excel(name = "用途")
    private String useType;

    /**
     * 中标供应商联系方式
     */
    @Excel(name = "中标供应商联系方式")
    private String telephone;

    /**
     * 总重量
     */
    @Excel(name = "总重量")
    private BigDecimal totalVolume;

    /**
     * 毛重
     */
    @Excel(name = "毛重")
    private BigDecimal totalRoughWeight;

    /**
     * 净重
     */
    @Excel(name = "净重")
    private BigDecimal totalNetWeigh;

    /**
     * 默认存储库区
     */
    @Excel(name = "默认存储库区")
    private String defaultStorageAreaId;

    /**
     * 质检状态
     */
    @Excel(name = "质检状态")
    private String qualityInspecStatus;

    /**
     * 保质期单位
     */
    @Excel(name = "保质期单位")
    private String periodUnit;

    /**
     * 保质期
     */
    @Excel(name = "保质期")
    private BigDecimal period;

    /**
     * 上报时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date reportTime;

    /**
     * 冻结原因
     */
    @Excel(name = "冻结原因 ")
    private String consignment;

    /**
     * 部门编号
     */
    @Excel(name = "部门编号")
    private Long deptId;

    /**
     * ABC分类
     */
    @Excel(name = "ABC分类")
    private String abc;

    /**
     * 1:一级库 2：二级库
     */
    @Excel(name = "1:一级库 2：二级库")
    private String levelType;

    /**
     * 冻结状态 1：冻结）
     */
    @Excel(name = "冻结状态 1：冻结）")
    private String isFreeze;

    /**
     * 原仓库
     */
    @Excel(name = "原仓库")
    private String original;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String storageShortName;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String frostMan;



    public void setCheckId(String checkId) {
        this.checkId = checkId;
    }

    public String getCheckId() {
        return checkId;
    }

    public void setStorageId(String storageId) {
        this.storageId = storageId;
    }

    public String getStorageId() {
        return storageId;
    }

    public void setStorageAreaId(String storageAreaId) {
        this.storageAreaId = storageAreaId;
    }

    public String getStorageAreaId() {
        return storageAreaId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public String getLocationId() {
        return locationId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setCtl(String ctl) {
        this.ctl = ctl;
    }

    public String getCtl() {
        return ctl;
    }

    public void setShelvesNum(BigDecimal shelvesNum) {
        this.shelvesNum = shelvesNum;
    }

    public BigDecimal getShelvesNum() {
        return shelvesNum;
    }

    public void setVersion(Long version) {
        this.version = version;
    }

    public Long getVersion() {
        return version;
    }

    public void setStorageMode(String storageMode) {
        this.storageMode = storageMode;
    }

    public String getStorageMode() {
        return storageMode;
    }

    public void setProviderId(String providerId) {
        this.providerId = providerId;
    }

    public String getProviderId() {
        return providerId;
    }

    public void setProductionDate(Date productionDate) {
        this.productionDate = productionDate;
    }

    public Date getProductionDate() {
        return productionDate;
    }

    public void setWareDate(Date wareDate) {
        this.wareDate = wareDate;
    }

    public Date getWareDate() {
        return wareDate;
    }

    public void setDoctNumber(String doctNumber) {
        this.doctNumber = doctNumber;
    }

    public String getDoctNumber() {
        return doctNumber;
    }

    public void setGoodsVolume(Long goodsVolume) {
        this.goodsVolume = goodsVolume;
    }

    public Long getGoodsVolume() {
        return goodsVolume;
    }

    public void setOccupyNum(Long occupyNum) {
        this.occupyNum = occupyNum;
    }

    public Long getOccupyNum() {
        return occupyNum;
    }

    public void setNoticeId(String noticeId) {
        this.noticeId = noticeId;
    }

    public String getNoticeId() {
        return noticeId;
    }

    public void setOriBill(String oriBill) {
        this.oriBill = oriBill;
    }

    public String getOriBill() {
        return oriBill;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setWgh(String wgh) {
        this.wgh = wgh;
    }

    public String getWgh() {
        return wgh;
    }

    public void setHigh(String high) {
        this.high = high;
    }

    public String getHigh() {
        return high;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setDueDate(Date dueDate) {
        this.dueDate = dueDate;
    }

    public Date getDueDate() {
        return dueDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public String getStandard() {
        return standard;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getFlag() {
        return flag;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public String getMark() {
        return mark;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setProblem(String problem) {
        this.problem = problem;
    }

    public String getProblem() {
        return problem;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getPrice() {
        return price;
    }

    public void setPackingNum(Long packingNum) {
        this.packingNum = packingNum;
    }

    public Long getPackingNum() {
        return packingNum;
    }

    public void setBoxType(String boxType) {
        this.boxType = boxType;
    }

    public String getBoxType() {
        return boxType;
    }

    public void setScaleUnit(String scaleUnit) {
        this.scaleUnit = scaleUnit;
    }

    public String getScaleUnit() {
        return scaleUnit;
    }

    public void setGoodsSku(String goodsSku) {
        this.goodsSku = goodsSku;
    }

    public String getGoodsSku() {
        return goodsSku;
    }

    public void setFactoryId(String factoryId) {
        this.factoryId = factoryId;
    }

    public String getFactoryId() {
        return factoryId;
    }

    public void setSalesOrderNo(String salesOrderNo) {
        this.salesOrderNo = salesOrderNo;
    }

    public String getSalesOrderNo() {
        return salesOrderNo;
    }

    public void setSalesOrderNumber(String salesOrderNumber) {
        this.salesOrderNumber = salesOrderNumber;
    }

    public String getSalesOrderNumber() {
        return salesOrderNumber;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setOnOrder(Long onOrder) {
        this.onOrder = onOrder;
    }

    public Long getOnOrder() {
        return onOrder;
    }

    public void setRecordPerson(String recordPerson) {
        this.recordPerson = recordPerson;
    }

    public String getRecordPerson() {
        return recordPerson;
    }

    public void setLotId(String lotId) {
        this.lotId = lotId;
    }

    public String getLotId() {
        return lotId;
    }

    public void setDecid(String decid) {
        this.decid = decid;
    }

    public String getDecid() {
        return decid;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnit() {
        return unit;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getSpecification() {
        return specification;
    }

    public void setGoodsAge(Long goodsAge) {
        this.goodsAge = goodsAge;
    }

    public Long getGoodsAge() {
        return goodsAge;
    }

    public void setArraMount(BigDecimal arraMount) {
        this.arraMount = arraMount;
    }

    public BigDecimal getArraMount() {
        return arraMount;
    }

    public void setRecoil(String recoil) {
        this.recoil = recoil;
    }

    public String getRecoil() {
        return recoil;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperateDate(Date operateDate) {
        this.operateDate = operateDate;
    }

    public Date getOperateDate() {
        return operateDate;
    }

    public void setPurchaseId(String purchaseId) {
        this.purchaseId = purchaseId;
    }

    public String getPurchaseId() {
        return purchaseId;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setRespDept(String respDept) {
        this.respDept = respDept;
    }

    public String getRespDept() {
        return respDept;
    }

    public void setPlanDate(String planDate) {
        this.planDate = planDate;
    }

    public String getPlanDate() {
        return planDate;
    }

    public void setPlanTime(String planTime) {
        this.planTime = planTime;
    }

    public String getPlanTime() {
        return planTime;
    }

    public void setNeedCycle(BigDecimal needCycle) {
        this.needCycle = needCycle;
    }

    public BigDecimal getNeedCycle() {
        return needCycle;
    }

    public void setNeedType(String needType) {
        this.needType = needType;
    }

    public String getNeedType() {
        return needType;
    }

    public void setGoodsTypeId(String goodsTypeId) {
        this.goodsTypeId = goodsTypeId;
    }

    public String getGoodsTypeId() {
        return goodsTypeId;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getBrand() {
        return brand;
    }

    public void setTotalMoney(BigDecimal totalMoney) {
        this.totalMoney = totalMoney;
    }

    public BigDecimal getTotalMoney() {
        return totalMoney;
    }

    public void setExpiryDate(String expiryDate) {
        this.expiryDate = expiryDate;
    }

    public String getExpiryDate() {
        return expiryDate;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public String getProviderName() {
        return providerName;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setNeedDept(String needDept) {
        this.needDept = needDept;
    }

    public String getNeedDept() {
        return needDept;
    }

    public void setPurchaseDept(String purchaseDept) {
        this.purchaseDept = purchaseDept;
    }

    public String getPurchaseDept() {
        return purchaseDept;
    }

    public void setProduclotId(String produclotId) {
        this.produclotId = produclotId;
    }

    public String getProduclotId() {
        return produclotId;
    }

    public void setReceiverDept(String receiverDept) {
        this.receiverDept = receiverDept;
    }

    public String getReceiverDept() {
        return receiverDept;
    }

    public void setReceivingArea(String receivingArea) {
        this.receivingArea = receivingArea;
    }

    public String getReceivingArea() {
        return receivingArea;
    }

    public void setPackageId(String packageId) {
        this.packageId = packageId;
    }

    public String getPackageId() {
        return packageId;
    }

    public void setUseType(String useType) {
        this.useType = useType;
    }

    public String getUseType() {
        return useType;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTotalVolume(BigDecimal totalVolume) {
        this.totalVolume = totalVolume;
    }

    public BigDecimal getTotalVolume() {
        return totalVolume;
    }

    public void setTotalRoughWeight(BigDecimal totalRoughWeight) {
        this.totalRoughWeight = totalRoughWeight;
    }

    public BigDecimal getTotalRoughWeight() {
        return totalRoughWeight;
    }

    public void setTotalNetWeigh(BigDecimal totalNetWeigh) {
        this.totalNetWeigh = totalNetWeigh;
    }

    public BigDecimal getTotalNetWeigh() {
        return totalNetWeigh;
    }

    public void setDefaultStorageAreaId(String defaultStorageAreaId) {
        this.defaultStorageAreaId = defaultStorageAreaId;
    }

    public String getDefaultStorageAreaId() {
        return defaultStorageAreaId;
    }

    public void setQualityInspecStatus(String qualityInspecStatus) {
        this.qualityInspecStatus = qualityInspecStatus;
    }

    public String getQualityInspecStatus() {
        return qualityInspecStatus;
    }

    public void setPeriodUnit(String periodUnit) {
        this.periodUnit = periodUnit;
    }

    public String getPeriodUnit() {
        return periodUnit;
    }

    public void setPeriod(BigDecimal period) {
        this.period = period;
    }

    public BigDecimal getPeriod() {
        return period;
    }

    public void setReportTime(Date reportTime) {
        this.reportTime = reportTime;
    }

    public Date getReportTime() {
        return reportTime;
    }

    public void setConsignment(String consignment) {
        this.consignment = consignment;
    }

    public String getConsignment() {
        return consignment;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setAbc(String abc) {
        this.abc = abc;
    }

    public String getAbc() {
        return abc;
    }

    public void setLevelType(String levelType) {
        this.levelType = levelType;
    }

    public String getLevelType() {
        return levelType;
    }

    public void setIsFreeze(String isFreeze) {
        this.isFreeze = isFreeze;
    }

    public String getIsFreeze() {
        return isFreeze;
    }

    public void setOriginal(String original) {
        this.original = original;
    }

    public String getOriginal() {
        return original;
    }

    public void setStorageShortName(String storageShortName) {
        this.storageShortName = storageShortName;
    }

    public String getStorageShortName() {
        return storageShortName;
    }

    public void setFrostMan(String frostMan) {
        this.frostMan = frostMan;
    }

    public String getFrostMan() {
        return frostMan;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("checkId", getCheckId())
                .append("storageId", getStorageId())
                .append("storageAreaId", getStorageAreaId())
                .append("locationId", getLocationId())
                .append("goodsId", getGoodsId())
                .append("goodsName", getGoodsName())
                .append("ctl", getCtl())
                .append("shelvesNum", getShelvesNum())
                .append("remark", getRemark())
                .append("version", getVersion())
                .append("storageMode", getStorageMode())
                .append("providerId", getProviderId())
                .append("productionDate", getProductionDate())
                .append("wareDate", getWareDate())
                .append("doctNumber", getDoctNumber())
                .append("goodsVolume", getGoodsVolume())
                .append("occupyNum", getOccupyNum())
                .append("noticeId", getNoticeId())
                .append("oriBill", getOriBill())
                .append("barcode", getBarcode())
                .append("wgh", getWgh())
                .append("high", getHigh())
                .append("status", getStatus())
                .append("customerId", getCustomerId())
                .append("batchNo", getBatchNo())
                .append("dueDate", getDueDate())
                .append("checkDate", getCheckDate())
                .append("standard", getStandard())
                .append("flag", getFlag())
                .append("mark", getMark())
                .append("orderNum", getOrderNum())
                .append("problem", getProblem())
                .append("price", getPrice())
                .append("packingNum", getPackingNum())
                .append("boxType", getBoxType())
                .append("scaleUnit", getScaleUnit())
                .append("goodsSku", getGoodsSku())
                .append("factoryId", getFactoryId())
                .append("salesOrderNo", getSalesOrderNo())
                .append("salesOrderNumber", getSalesOrderNumber())
                .append("supplier", getSupplier())
                .append("onOrder", getOnOrder())
                .append("recordPerson", getRecordPerson())
                .append("lotId", getLotId())
                .append("decid", getDecid())
                .append("unit", getUnit())
                .append("specification", getSpecification())
                .append("goodsAge", getGoodsAge())
                .append("arraMount", getArraMount())
                .append("recoil", getRecoil())
                .append("operatorId", getOperatorId())
                .append("operateDate", getOperateDate())
                .append("purchaseId", getPurchaseId())
                .append("applicant", getApplicant())
                .append("respDept", getRespDept())
                .append("planDate", getPlanDate())
                .append("planTime", getPlanTime())
                .append("needCycle", getNeedCycle())
                .append("needType", getNeedType())
                .append("goodsTypeId", getGoodsTypeId())
                .append("brand", getBrand())
                .append("totalMoney", getTotalMoney())
                .append("expiryDate", getExpiryDate())
                .append("providerName", getProviderName())
                .append("receiver", getReceiver())
                .append("needDept", getNeedDept())
                .append("purchaseDept", getPurchaseDept())
                .append("produclotId", getProduclotId())
                .append("receiverDept", getReceiverDept())
                .append("receivingArea", getReceivingArea())
                .append("packageId", getPackageId())
                .append("useType", getUseType())
                .append("telephone", getTelephone())
                .append("totalVolume", getTotalVolume())
                .append("totalRoughWeight", getTotalRoughWeight())
                .append("totalNetWeigh", getTotalNetWeigh())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("defaultStorageAreaId", getDefaultStorageAreaId())
                .append("qualityInspecStatus", getQualityInspecStatus())
                .append("periodUnit", getPeriodUnit())
                .append("period", getPeriod())
                .append("reportTime", getReportTime())
                .append("consignment", getConsignment())
                .append("deptId", getDeptId())
                .append("abc", getAbc())
                .append("levelType", getLevelType())
                .append("isFreeze", getIsFreeze())
                .append("original", getOriginal())
                .append("storageShortName", getStorageShortName())
                .append("frostMan", getFrostMan())
                .toString();
    }
}


















